/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-01 15:32:38 UTC)
 * on 2013-08-06 at 22:17:37 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.analytics.model;

/**
 * Metadata returned for a successful append operation.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Analytics API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class DailyUploadAppend extends com.google.api.client.json.GenericJson {

  /**
   * Account Id to which this daily upload append belongs.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String accountId;

  /**
   * Append number.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Integer appendNumber;

  /**
   * Custom data source Id to which this daily upload append belongs.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String customDataSourceId;

  /**
   * Date associated with daily upload append.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String date;

  /**
   * Resource type for Analytics daily upload append.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String nextAppendLink;

  /**
   * Web property Id of the form UA-XXXXX-YY to which this daily upload append belongs.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String webPropertyId;

  /**
   * Account Id to which this daily upload append belongs.
   * @return value or {@code null} for none
   */
  public java.lang.String getAccountId() {
    return accountId;
  }

  /**
   * Account Id to which this daily upload append belongs.
   * @param accountId accountId or {@code null} for none
   */
  public DailyUploadAppend setAccountId(java.lang.String accountId) {
    this.accountId = accountId;
    return this;
  }

  /**
   * Append number.
   * @return value or {@code null} for none
   */
  public java.lang.Integer getAppendNumber() {
    return appendNumber;
  }

  /**
   * Append number.
   * @param appendNumber appendNumber or {@code null} for none
   */
  public DailyUploadAppend setAppendNumber(java.lang.Integer appendNumber) {
    this.appendNumber = appendNumber;
    return this;
  }

  /**
   * Custom data source Id to which this daily upload append belongs.
   * @return value or {@code null} for none
   */
  public java.lang.String getCustomDataSourceId() {
    return customDataSourceId;
  }

  /**
   * Custom data source Id to which this daily upload append belongs.
   * @param customDataSourceId customDataSourceId or {@code null} for none
   */
  public DailyUploadAppend setCustomDataSourceId(java.lang.String customDataSourceId) {
    this.customDataSourceId = customDataSourceId;
    return this;
  }

  /**
   * Date associated with daily upload append.
   * @return value or {@code null} for none
   */
  public java.lang.String getDate() {
    return date;
  }

  /**
   * Date associated with daily upload append.
   * @param date date or {@code null} for none
   */
  public DailyUploadAppend setDate(java.lang.String date) {
    this.date = date;
    return this;
  }

  /**
   * Resource type for Analytics daily upload append.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Resource type for Analytics daily upload append.
   * @param kind kind or {@code null} for none
   */
  public DailyUploadAppend setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * @return value or {@code null} for none
   */
  public java.lang.String getNextAppendLink() {
    return nextAppendLink;
  }

  /**
   * @param nextAppendLink nextAppendLink or {@code null} for none
   */
  public DailyUploadAppend setNextAppendLink(java.lang.String nextAppendLink) {
    this.nextAppendLink = nextAppendLink;
    return this;
  }

  /**
   * Web property Id of the form UA-XXXXX-YY to which this daily upload append belongs.
   * @return value or {@code null} for none
   */
  public java.lang.String getWebPropertyId() {
    return webPropertyId;
  }

  /**
   * Web property Id of the form UA-XXXXX-YY to which this daily upload append belongs.
   * @param webPropertyId webPropertyId or {@code null} for none
   */
  public DailyUploadAppend setWebPropertyId(java.lang.String webPropertyId) {
    this.webPropertyId = webPropertyId;
    return this;
  }

  @Override
  public DailyUploadAppend set(String fieldName, Object value) {
    return (DailyUploadAppend) super.set(fieldName, value);
  }

  @Override
  public DailyUploadAppend clone() {
    return (DailyUploadAppend) super.clone();
  }

}
